package info.aspirecn.iov.sjjh.supplier10000040.constant;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/4/26 14:38
 * @version: V1.0
 **/
public class ChannelConstant {
    public static final String ILLEGAL_INFO_SCORE = "score";
    public static final String ILLEGAL_INFO_RESULT = "result";
    public static final String ILLEGAL_INFO_SIMPLE = "simple";
    public static final String ILLEGAL_INFO_DRUG_ESCAPE = "drugAndEscape";

    // 状态 1：待处理
    public static final Integer REQUEST_STATUS_1 = 1;
    // 2：处理中
    public static final Integer REQUEST_STATUS_2 = 2;
    // 3：已发送上游
    public static final Integer REQUEST_STATUS_3 = 3;
    // 4：处理完成
    public static final Integer REQUEST_STATUS_4 = 4;

    public static final String DECODE_TYPE_SHA256 = "SHA256";

    public static final String DECODE_TYPE_MD5 = "MD5";

    public static final String DECODE_TYPE_AES = "AES";

    public static final String DECODE_TYPE_SM3 = "SM3";

    /**
     * 请求头用户Id key*/
    public static final String USER_ID_HEADER_KEY = "userid";

    public static final String AES_KEY = "illegal-info-";

    public static final String[] PLATE_TYPE_ARRAY = {"01", "02", "03", "04", "05", "06", "07", "08", "09", "10",
            "11", "12", "13", "14", "15", "16", "17", "20", "21", "22", "23", "24", "51", "52"};

    /**
     * 证件类型；1：身份证 2：统一信用代码
     */
    public static final String[] CARD_TYPE_ARRAY = {"1", "2"};

    // 社会风险预警-人员核验-通用版（纯上游）
    public static final String ILLEGAL_INFO_METHOD_COMMON = "1";

    // 社会风险预警-人员核验-接口拼接版
    public static final String ILLEGAL_INFO_METHOD_SPECIAL = "2";

    // 社会风险预警-人员核验-超时固定返回版
    public static final String ILLEGAL_INFO_METHOD_NORMAL_RESPONSE = "3";
}
