package info.aspirecn.iov.sjjh.supplier10000040.task;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.AsyncResult;
import org.springframework.stereotype.Component;

import java.util.concurrent.Future;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
public class AsyncDelayTask{
    @Value("${supplier.delayedTime}")
    private Long delayedTime;
    @Async
    public Future<String> doDelay() throws InterruptedException {
        Thread.sleep(delayedTime);
        return new AsyncResult<>("延时任务完成");
    }
}
