package info.aspirecn.iov.sjjh.supplier10000040.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/4/25 15:46
 * @version: V1.0
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class IllegalInfoFtpResult implements Serializable {
    private static final long serialVersionUID = 6086475268462115081L;
    /**
     * 流水号
     */
    private String traceId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 身份证一致不一致
     */
    private Integer isIdCard;

    /**
     * 是否在逃
     */
    private Integer isEscape;

    /**
     * 是否有前科
     */
    private Integer isPedigree;

    /**
     * 是否吸毒贩毒
     */
    private Integer isDrugs;
}
